## org.eclipse.wst.wsdl
Interface MessageReference

All Superinterfaces:
  ExtensibleElement, WSDLElement

All Known Subinterfaces:
  Fault, Input, Output

    public interface MessageReference

extends ExtensibleElement

A representation of the model object 'Message Reference'.

Since:
  1.0
See Also:
  `WSDLPackage.getMessageReference()`

Method Summary
`Message` `getEMessage()` Returns the value of the 'EMessage' reference
`java.lang.String` `getName()` Returns the value of the 'Name' attribute
`void` `setEMessage(Message value)` Sets the value of the '`EMessage`' reference
`void` `setName(java.lang.String value)` Sets the value of the '`Name`' attribute

Methods inherited from interface org.eclipse.wst.wsdl.ExtensibleElement
`addExtensibilityElement, getEExtensibilityElements, getExtensibilityElements`

Methods inherited from interface org.eclipse.wst.wsdl.WSDLElement
`elementChanged, getContainer, getDocumentationElement, getElement, getEnclosingDefinition, setDocumentationElement, setElement, setEnclosingDefinition, updateElement, updateElement`

Method Detail

### getName

    java.lang.String getName()

  Returns the value of the 'Name' attribute.

  If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Name' attribute.
  See Also:
    `setName(String)`, `WSDLPackage.getMessageReference_Name()`

### setName

    void setName(java.lang.String value)

  Sets the value of the '`Name`' attribute.

  Parameters:
    `value` - the new value of the 'Name' attribute.
  See Also:
    `getName()`

### getEMessage

    Message getEMessage()

  Returns the value of the 'EMessage' reference.

  If the meaning of the 'EMessage' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'EMessage' reference.
  See Also:
    `setEMessage(Message)`, `WSDLPackage.getMessageReference_EMessage()`

### setEMessage

    void setEMessage(Message value)

  Sets the value of the '`EMessage`' reference.

  Parameters:
    `value` - the new value of the 'EMessage' reference.
  See Also:
    `getEMessage()`